Fix shared-compat linking

Bug #1201393 reported by Raghavendra D Prabhu on 2013-07-15
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server
Status tracked in 5.6
Ignacio Nin
Percona XtraDB Cluster
Raghavendra D Prabhu

Bug Description

Tags: pkg Edit Tag help

Related branches

Laurynas Biveinis: Approve on 2013-07-16
Changed in percona-xtradb-cluster:
milestone: none → 5.5.32-23.7.6
assignee: nobody → Raghavendra D Prabhu (raghavendra-prabhu)
Changed in percona-xtradb-cluster:
status: New → Triaged
status: Triaged → Fix Committed

Added Percona Server here due to comment here: (and the one before this).

This is what we have for 5.5:

[openxs@centos ~]$ rpm -q -l Percona-Server-shared-compat-5.5.32-rel31.0.549.rhel6.x86_64
[openxs@centos ~]$ ldd /usr/lib64/ => (0x00007fff5c7ff000) => /lib64/ (0x00007fb8a6063000) => /lib64/ (0x00007fb8a5e4a000) => /lib64/ (0x00007fb8a5bc6000) => /lib64/ (0x00007fb8a59b0000) => /lib64/ (0x00007fb8a57a8000) => /lib64/ (0x00007fb8a5414000) => /lib64/ (0x00007fb8a51b2000) => /lib64/ (0x00007fb8a4f95000)
        /lib64/ (0x00007fb8a660d000) => /lib64/ (0x00007fb8a4d90000)

Does not apply to 5.6 at the moment it seems:

[root@centos openxs]# yum -y install Percona-Server-shared-compat-56 Loaded plugins: fastestmirror, presto
Loading mirror speeds from cached hostfile
 * base:
 * epel:
 * extras:
 * rpmforge:
 * updates:
Setting up Install Process
No package Percona-Server-shared-compat-56 available.
Error: Nothing to do

tags: added: pkg
Ignacio Nin (ignacio-nin) wrote :

I've submitted a simple fix for this, which is using from PS 5.1.70 in the shared-compat package. This had been suggested in the discussions.

I've posted fixed PS-shared-compat packages to and also in our experimental repos, it can be tested from there. The ldd output is:

# ldd /usr/lib64/ => (0x00007fffb42c4000) => /lib64/ (0x00007f3ac9c2a000) => /lib64/ (0x00007f3ac9a0d000) => /lib64/ (0x00007f3ac97d6000) => /lib64/ (0x00007f3ac95bd000) => /lib64/ (0x00007f3ac9339000) => /lib64/ (0x00007f3ac9122000) => /usr/lib64/ (0x00007f3ac8ec5000) => /usr/lib64/ (0x00007f3ac8b2b000) => /lib64/ (0x00007f3ac8797000)
/lib64/ (0x00007f3aca1b1000) => /lib64/ (0x00007f3ac8535000) => /lib64/ (0x00007f3ac82f1000) => /lib64/ (0x00007f3ac800a000) => /lib64/ (0x00007f3ac7e06000) => /lib64/ (0x00007f3ac7bda000) => /lib64/ (0x00007f3ac79d5000) => /lib64/ (0x00007f3ac77ca000) => /lib64/ (0x00007f3ac75c7000) => /lib64/ (0x00007f3ac73ac000) => /lib64/ (0x00007f3ac718d000)

From #3, regarding shared-compat for PS 5.6, it doesn't exist for
5.6. I guess this means Percona-Server-shared-compat (from 5.5) needs to be
used for 5.6 as well. There is a MySQL-shared-compat-5.6.12-2.linux_glibc2.5.x86_64.rpm in upstream repo, however, it seems to have{12,13,14,15,16}, which indicates they are same as the ones in 5.5 shared-compat rpm.

For #5,

The 5.6 shared-compat issue is being handled here

Changed in percona-xtradb-cluster:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers